version: '3.8'

services:
  db:
    image: postgres:latest
    container_name: postgres_db
    environment:
      POSTGRES_DB: aiframe          # 默认数据库名
      POSTGRES_USER: postgres      # 数据库用户名
      POSTGRES_PASSWORD: postgres  # 数据库密码
    volumes:
      - ./pgdata:/var/lib/postgresql/data  # 挂载数据卷以持久化数据
    ports:
      - "5432:5432"                   # 映射端口，使得可以从主机访问
    restart: always